Skip to content
Start here

Operations

Retrieve information about all operations on a zone
client.APIGateway.Operations.List(ctx, params) (*V4PagePaginationArray[OperationListResponse], error)
GET/zones/{zone_id}/api_gateway/operations
Retrieve information about an operation
client.APIGateway.Operations.Get(ctx, operationID, params) (*OperationGetResponse, error)
GET/zones/{zone_id}/api_gateway/operations/{operation_id}
Add one operation to a zone
client.APIGateway.Operations.New(ctx, params) (*OperationNewResponse, error)
POST/zones/{zone_id}/api_gateway/operations/item
Delete an operation
client.APIGateway.Operations.Delete(ctx, operationID, body) (*OperationDeleteResponse, error)
DELETE/zones/{zone_id}/api_gateway/operations/{operation_id}
Add operations to a zone
client.APIGateway.Operations.BulkNew(ctx, params) (*SinglePage[OperationBulkNewResponse], error)
POST/zones/{zone_id}/api_gateway/operations
Delete multiple operations
client.APIGateway.Operations.BulkDelete(ctx, body) (*OperationBulkDeleteResponse, error)
DELETE/zones/{zone_id}/api_gateway/operations
ModelsExpand Collapse
type APIShield struct{…}
Endpoint string

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.

formaturi-template
maxLength4096
Host string

RFC3986-compliant host.

formathostname
maxLength255
LastUpdated Time
formatdate-time
Method APIShieldMethod

The HTTP method used to access the endpoint.

One of the following:
const APIShieldMethodGet APIShieldMethod = "GET"
const APIShieldMethodPost APIShieldMethod = "POST"
const APIShieldMethodHead APIShieldMethod = "HEAD"
const APIShieldMethodOptions APIShieldMethod = "OPTIONS"
const APIShieldMethodPut APIShieldMethod = "PUT"
const APIShieldMethodDelete APIShieldMethod = "DELETE"
const APIShieldMethodConnect APIShieldMethod = "CONNECT"
const APIShieldMethodPatch APIShieldMethod = "PATCH"
const APIShieldMethodTrace APIShieldMethod = "TRACE"
OperationID string

UUID.

maxLength36
minLength36

OperationsLabels

Replace label(s) on an operation in endpoint management
client.APIGateway.Operations.Labels.Update(ctx, operationID, params) (*OperationLabelUpdateResponse, error)
PUT/zones/{zone_id}/api_gateway/operations/{operation_id}/labels
Attach label(s) on an operation in endpoint management
client.APIGateway.Operations.Labels.New(ctx, operationID, params) (*OperationLabelNewResponse, error)
POST/zones/{zone_id}/api_gateway/operations/{operation_id}/labels
Remove label(s) on an operation in endpoint management
client.APIGateway.Operations.Labels.Delete(ctx, operationID, body) (*OperationLabelDeleteResponse, error)
DELETE/zones/{zone_id}/api_gateway/operations/{operation_id}/labels
Bulk replace label(s) on operation(s) in endpoint management
client.APIGateway.Operations.Labels.BulkUpdate(ctx, params) (*SinglePage[OperationLabelBulkUpdateResponse], error)
PUT/zones/{zone_id}/api_gateway/operations/labels
Bulk attach label(s) on operation(s) in endpoint management
client.APIGateway.Operations.Labels.BulkNew(ctx, params) (*SinglePage[OperationLabelBulkNewResponse], error)
POST/zones/{zone_id}/api_gateway/operations/labels
Bulk remove label(s) on operation(s) in endpoint management
client.APIGateway.Operations.Labels.BulkDelete(ctx, body) (*SinglePage[OperationLabelBulkDeleteResponse], error)
DELETE/zones/{zone_id}/api_gateway/operations/labels

OperationsSchema Validation

Retrieve operation-level schema validation settings
Deprecated
client.APIGateway.Operations.SchemaValidation.Get(ctx, operationID, query) (*OperationSchemaValidationGetResponse, error)
GET/zones/{zone_id}/api_gateway/operations/{operation_id}/schema_validation
Update operation-level schema validation settings
Deprecated
client.APIGateway.Operations.SchemaValidation.Update(ctx, operationID, params) (*OperationSchemaValidationUpdateResponse, error)
PUT/zones/{zone_id}/api_gateway/operations/{operation_id}/schema_validation
Update multiple operation-level schema validation settings
Deprecated
client.APIGateway.Operations.SchemaValidation.Edit(ctx, params) (*SettingsMultipleRequest, error)
PATCH/zones/{zone_id}/api_gateway/operations/schema_validation
ModelsExpand Collapse
type SettingsMultipleRequest map[string, SettingsMultipleRequestItem]
MitigationAction SettingsMultipleRequestItemMitigationActionoptional

When set, this applies a mitigation action to this operation

  • log log request when request does not conform to schema for this operation
  • block deny access to the site when request does not conform to schema for this operation
  • none will skip mitigation for this operation
  • null indicates that no operation level mitigation is in place, see Zone Level Schema Validation Settings for mitigation action that will be applied
One of the following:
const SettingsMultipleRequestItemMitigationActionLog SettingsMultipleRequestItemMitigationAction = "log"
const SettingsMultipleRequestItemMitigationActionBlock SettingsMultipleRequestItemMitigationAction = "block"
const SettingsMultipleRequestItemMitigationActionNone SettingsMultipleRequestItemMitigationAction = "none"